#
# spec file for package python-unicodedata2
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-unicodedata2
Version:        13.0.0
Release:        bp153.1.18
Summary:        Python unicodedata backport
License:        Apache-2.0 AND Python-2.0
Group:          Development/Languages/Python
URL:            https://github.com/mikekap/unicodedata2
Source:         https://github.com/mikekap/unicodedata2/archive/%{version}.tar.gz#/unicodedata2-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Unicodedata backport for python 2/3 updated to the latest unicode version.

%prep
%setup -q -n unicodedata2-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitearch}/*

%changelog
* Wed Mar 25 2020 pgajdos@suse.com
- version update to 13.0.0
  * Upgrade to Unicode 13.0.0 (#34).
  * Build wheels for Python 3.8.
* Fri Feb  7 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 12.1.0
  * Upgrade to Unicode 12.1.0
  * Remove Python 3.4 support
* Wed Aug 28 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v12.0.0
